## r-cran-knn.covertree 1.0

=== DESCRIPTION ===
Package: knn.covertree
Type: Package
Title: An Accurate kNN Implementation with Multiple Distance Measures
Version: 1.0
Date: 2019-10-24
Authors@R: c(
    person('Philipp', 'Angerer', NULL, 'philipp.angerer@helmholtz-muenchen.de', c('cre', 'aut'), comment = c(ORCID = '0000-0002-0369-2888')),
    person('David', 'Crane', NULL, 'dncrane@gmail.com', c('cph', 'aut')))
Maintainer: Philipp Angerer <philipp.angerer@helmholtz-muenchen.de>
Description: 
    Similarly to the 'FNN' package, this package allows calculation of the k nearest neighbors (kNN) of a data matrix.
    The implementation is based on cover trees introduced by
    Alina Beygelzimer, Sham Kakade, and John Langford (2006) <doi:10.1145/1143844.1143857>.
URL: https://github.com/flying-sheep/knn.covertree
BugReports: https://github.com/flying-sheep/knn.covertree/issues
License: AGPL-3
Imports: Rcpp (>= 1.0.2), RcppEigen (>= 0.3.3.5.0), Matrix, methods
Suggests: testthat, FNN
LinkingTo: Rcpp, RcppEigen
SystemRequirements: C++11
NeedsCompilation: yes
Encoding: UTF-8
RoxygenNote: 6.1.1
Packaged: 2019-10-24 08:59:51 UTC; angerer
Author: Philipp Angerer [cre, aut] (<https://orcid.org/0000-0002-0369-2888>),
  David Crane [cph, aut]
Repository: CRAN
Date/Publication: 2019-10-28 16:00:02 UTC

=== debian/changelog ===
r-cran-knn.covertree (1.0-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 19 Sep 2020 19:44:22 +0200

r-cran-knn.covertree (1.0-1) unstable; urgency=medium

  * Initial release (closes: #969987)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Sep 2020 20:08:09 +0200

=== debian/control ===
Source: r-cran-knn.covertree
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 1.0.2),
               r-cran-rcppeigen (>= 0.3.3.5.0),
               r-cran-matrix
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knn.covertree
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-knn.covertree.git
Homepage: https://cran.r-project.org/package=knn.covertree
Rules-Requires-Root: no

Package: r-cran-knn.covertree
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R accurate kNN implementation with multiple distance measures
 Similarly to the 'FNN' package, this package allows calculation of the k
 nearest neighbors (kNN) of a data matrix. The implementation is based on
 cover trees introduced by Alina Beygelzimer, Sham Kakade, and John
 Langford (2006) <doi:10.1145/1143844.1143857>.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/knn.covertree_([-\d.]*)\.tar\.gz

## r-cran-knn.covertree 1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: knn.covertree
 Type: Package
 Title: An Accurate kNN Implementation with Multiple Distance Measures
-Version: 1.0
-Date: 2019-10-24
+Version: 1.1
+Date: 2025-12-08
 Authors@R: c(
     person('Philipp', 'Angerer', NULL, 'philipp.angerer@helmholtz-muenchen.de', c('cre', 'aut'), comment = c(ORCID = '0000-0002-0369-2888')),
     person('David', 'Crane', NULL, 'dncrane@gmail.com', c('cph', 'aut')))
@@ -17,12 +17,12 @@
 Imports: Rcpp (>= 1.0.2), RcppEigen (>= 0.3.3.5.0), Matrix, methods
 Suggests: testthat, FNN
 LinkingTo: Rcpp, RcppEigen
-SystemRequirements: C++11
 NeedsCompilation: yes
 Encoding: UTF-8
-RoxygenNote: 6.1.1
-Packaged: 2019-10-24 08:59:51 UTC; angerer
-Author: Philipp Angerer [cre, aut] (<https://orcid.org/0000-0002-0369-2888>),
+RoxygenNote: 7.3.3
+Packaged: 2025-12-08 12:39:44 UTC; philipp.angerer
+Author: Philipp Angerer [cre, aut] (ORCID:
+    <https://orcid.org/0000-0002-0369-2888>),
   David Crane [cph, aut]
 Repository: CRAN
-Date/Publication: 2019-10-28 16:00:02 UTC
+Date/Publication: 2025-12-08 12:50:07 UTC

=== debian/changelog ===
r-cran-knn.covertree (1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Dec 2025 14:24:27 +0900

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 1.0.2),
-               r-cran-rcppeigen (>= 0.3.3.5.0),
-               r-cran-matrix
-Standards-Version: 4.5.0
+               r-cran-rcpp,
+               r-cran-rcppeigen,
+               r-cran-matrix,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-knn.covertree
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-knn.covertree.git
 Homepage: https://cran.r-project.org/package=knn.covertree

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-fnn
Restrictions: allow-stderr
